import { StiDisplayCurrencyAs, StiNumberType, StiThousandSeparator, StiUnitAlignment } from "../../../system/enums";
import { StiNumberElement, StiValueElement } from "../../../system/interfaces";
import StiJson from "../../../system/StiJson";
import { StiForm } from "../../StiForm";
import { StiNumberBoxCellItem } from "../cells/StiNumberBoxCellItem";
import { StiColumnItem } from "../StiColumnItem";
export declare class StiNumberBoxColumnItem extends StiColumnItem implements StiValueElement, StiNumberElement {
    label?: string;
    form?: StiForm;
    private _decimalDigits;
    type: string;
    unitLabel: string;
    cells: StiNumberBoxCellItem[];
    thousandSeparator: StiThousandSeparator;
    numberType: StiNumberType;
    unitAlignment: StiUnitAlignment;
    currencyLabelFormat: StiDisplayCurrencyAs;
    currency: string;
    constructor(label?: string, form?: StiForm);
    copyFrom(parentItem: StiColumnItem): void;
    createCell(): any;
    setDefaultValues(): void;
    get decimalDigits(): number;
    set decimalDigits(value: number);
    get value(): Object;
    saveToJsonObject(options: any): StiJson;
    htmlStyle(): string;
    loadFromJsonObject(json: StiJson): void;
}
